[Overview][Classes][Procedures and functions][Index] | Reference for unit 'DBExtCtrls' (#lcl)

# TDBDateEdit.UpdateAction

Updates the action when it handles the specified operation.

## Declaration

Source position: dbextctrls.pp line 59

`public function TDBDateEdit.UpdateAction(`
`AAction: TBasicAction`
`):Boolean; override;`

## Arguments

`AAction` |  | Action to perform.

## Function result

True if the action is successfully handled.

## Description

UpdateAction is an overridden Boolean function which implements support for using TBasicAction to update the value in the control from its dataset. UpdateAction calls the inherited method using the value in AAction. If the action is not handled in the ancestor, DataLink is used (when assigned) to perform its UpdateAction method with the specified action value. The return value is True if the action is handled by the ancestor or DataLink.

## See also

TBasicAction